- Extending Qt Creator Manual
- IExternalEditor
- Extending Qt Creator Manual 5.0.3

# IExternalEditor Class

class Core::IExternalEditor

The IExternalEditor class enables registering an external editor in the Open With dialog. More...

Header: | #include <coreplugin/editormanager/iexternaleditor.h>

- List of all members, including inherited members

## Public Functions

virtual QString | displayName() const = 0
virtual Utils::Id | id() const = 0
virtual QStringList | mimeTypes() const = 0

## Static Public Members

const Core::ExternalEditorList | allExternalEditors()
const Core::ExternalEditorList | externalEditors(const Utils::MimeType &mimeType)

## Detailed Description

## Member Function Documentation

### `[static]` const Core::ExternalEditorList IExternalEditor::allExternalEditors()

Returns all available external editors.

### `[pure virtual]` QString IExternalEditor::displayName() const

Returns a user-visible description of the editor type.

### `[static]` const Core::ExternalEditorList IExternalEditor::externalEditors(const Utils::MimeType &mimeType)

Returns all external editors available for this mimeType in the default order (editors ordered by MIME type hierarchy).

### `[pure virtual]` Utils::Id IExternalEditor::id() const

Returns the ID of the factory or editor type.

### `[pure virtual]` QStringList IExternalEditor::mimeTypes() const

Returns a list of MIME types that the editor supports